Subject: Re: [lmap] Information model question on Events in the schedule

From: Juergen Schoenwaelder <[email-masked]>
Date: Tue, 5 Apr 2016 13:54:30 +0200

On Wed, Mar 30, 2016 at 11:49:24AM +0000, Carey, Timothy (Nokia - US) wrote:
> Juergen,
> 
> 
> I think again there is overload in the event.
> In -05 there were timing objects.
> These timing objects were assigned to a schedule. The Calendar  and periodic timing object has a start and end date. The one-off and Immediate were one time.
> 
> At that revision everything was cored in terms of scheduling a task. 
> 
> Then things got conflated with an event concept in -06 but the timing objects still have a start and end time.

I do not think things got 'conflated'.
 
> In the case of the schedule with a calendar/periodic "event" this would be the start and stop time of the schedule.
>

No, it always has been the start / end of the interval in which
calendar/periodic events are created. If a schedule has a stop time,
this must be a property of the schedule, not of the event triggering
the execution of the schedule.
 
> On the single schedule object: That is incorrect the calendar object has a start and end date. I do not understand why you say it doesn't have a end date. 
> 
> Is it that you expect different/numerous event instances for a single schedule (each time the schedule timer fires). If so I think that is what was conflated?  If so the original intent was to simply have a timer object that described when a schedule was active not the actual event that it did fire.
>

It never did this or at least I never understood it that way.

/js

-- 
Juergen Schoenwaelder           Jacobs University Bremen gGmbH
Phone: +49 421 200 3587         Campus Ring 1 | 28759 Bremen | Germany
Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>